Bug 150178 - German localization broken
German localization broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: 137160
  Show dependency treegraph
 
Reported: 2005-03-03 06:14 EST by Werner Gold
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 02:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
menu item for gu_IN for U1 (105.15 KB, image/png)
2005-04-06 00:09 EDT, Lawrence Lim
no flags Details
gu_IN in the RC version (104.70 KB, image/png)
2005-04-06 00:10 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Werner Gold 2005-03-03 06:14:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
The standard installation of a german workstation (WS) gives you an english OO Version with english menus. This will be a major problem, when delivering to the German desktop market.
Also the printing is broken. OO does not format documents for the German A4 format accordingly.
Installation of the original OO product (and deletion of the RH RPM) result in language mismatch error messages for the particular user. No migration of user preferences.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install RHEL 4 WS in German
2.
3.
  

Expected Results:  Get a localized version.

Additional info:

The bug is vital to our desktop success.
Comment 1 Dan Williams 2005-03-03 10:08:22 EST
Hm, it dos appear that we broke it.  Likely culprit is:
patches-OOO_1_1-rsc-default-to-english.diff which was added to make sure that
incomplete translations had their un-translated strings come out in English, not
German (imagine the 3/4 complete Gujarati translation with 25% of the strings in
German, not good).

Since then, bugs with the Indic translations have been fixed somewhat, so we
should probably pull this patch.
Comment 2 Dan Williams 2005-03-03 10:35:05 EST
Should fixed in RHEL4 U1.
Comment 3 Werner Gold 2005-03-03 10:53:30 EST
Should be fixed now.
It is a serious problem for our credibility on the desktop.
We will lose projects. And if evaluations are done by partners like IBM, they
will do the projects with our competitors without even informing us.

Comment 4 Dan Williams 2005-03-03 10:58:11 EST
Understood, fixed builds will be in RHEL4 U1 (devel freeze was yesterday).
Comment 7 Caolan McNamara 2005-03-03 17:13:28 EST
caolanm->dcbw: you're already handling this build yes ?
Comment 8 Dan Williams 2005-03-03 22:43:19 EST
Yes, it should be just a matter of reverting the "rsc-default-to-english" patch.
 That change will go into 1.1.2-22, which hopefully will be the last build for
RHEL4 U1 and RHEL3 U5.
Comment 9 Dan Williams 2005-03-07 01:03:22 EST
Fixed in:

RHEL3: 1.1.2-22.2.2.EL3
RHEL4: 1.1.2-22.6.EL4

Bug was never present in FC2 or FC3 builds since they never had the problem patch.
Comment 10 Lawrence Lim 2005-04-06 00:01:17 EDT
Confirmed that the bug on German localization issue has been fixed in
openoffice.org-1.1.2-22.6.EL4. Tried the printing of german text in A4 paper as
well.

However, found a small error in the gu_IN locale. Please see attached screenshot
and take note of the mouse over in the menu. 

Comment 11 Lawrence Lim 2005-04-06 00:09:12 EDT
Created attachment 112746 [details]
menu item for gu_IN for U1

Should be displayd as 'Word Count'.
Comment 12 Lawrence Lim 2005-04-06 00:10:58 EDT
Created attachment 112747 [details]
gu_IN in the RC version

Taken from openoffice.org-1.1.2-18.6.EL4.
Comment 13 Dan Williams 2005-04-06 12:49:22 EDT
Yes, this is because we backed out the rsc-default-to-english patch that made
the default UI strings for languages without 100% translation be English, since
that patch broke de_DE and caused this bug.  Therefore, anythign untranslated in
gu_IN will be German.

I don't think its enough to respin the RHEL4 U1 and RHEL3 U5 updates though, or
is it?  I guess Word Count is kind of important though.
Comment 14 Jay Turner 2005-04-26 02:59:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-375.html

Note You need to log in before you can comment on or make changes to this bug.